use serde::Serialize;

use super::document::WasmDocument;

#[derive(Debug, Serialize)]
#[serde(tag = "status", content = "content")]
pub enum ParseResult<'s, 'p> {
    #[serde(rename = "success")]
    Success(WasmDocument<'s, 'p>),

    #[serde(rename = "error")]
    Error(String),
}
