use super::compare::WasmDiffResult;
use crate::compare::Token;

pub trait WasmElispCompare<'s, 'p> {
    fn compare_ast_node<'b>(
        &self,
        source: &'s str,
        emacs: &'b Token<'s>,
    ) -> Result<WasmDiffResult<'s>, Box<dyn std::error::Error>>;
}
